Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

# stk::BlowBotl Class Reference

STK blown bottle instrument class. More...

`#include <BlowBotl.h>`

Inheritance diagram for stk::BlowBotl:

List of all members.

## Public Member Functions
| BlowBotl (void)
| Class constructor.
| ~BlowBotl (void)
| Class destructor.
void | clear (void)
| Reset and clear all internal state.
void | setFrequency (StkFloat frequency)
| Set instrument parameters for a particular frequency.
void | startBlowing (StkFloat amplitude, StkFloat rate)
| Apply breath velocity to instrument with given amplitude and rate of increase.
void | stopBlowing (StkFloat rate)
| Decrease breath velocity with given rate of decrease.
void | noteOn (StkFloat frequency, StkFloat amplitude)
| Start a note with the given frequency and amplitude.
void | noteOff (StkFloat amplitude)
| Stop a note with the given amplitude (speed of decay).
void | controlChange (int number, StkFloat value)
| Perform the control change specified by number and value (0.0 - 128.0).
StkFloat | tick (unsigned int channel=0)
| Compute and return one output sample.

## Detailed Description

STK blown bottle instrument class.

This class implements a helmholtz resonator (biquad filter) with a polynomial jet excitation (a la Cook).

Control Change Numbers:

- Noise Gain = 4
- Vibrato Frequency = 11
- Vibrato Gain = 1
- Volume = 128

by Perry R. Cook and Gary P. Scavone, 1995 - 2010.

## Constructor & Destructor Documentation

stk::BlowBotl::BlowBotl | ( | void |  | ) |

Class constructor.

An StkError will be thrown if the rawwave path is incorrectly set.

The documentation for this class was generated from the following file:

- BlowBotl.h

The Synthesis ToolKit in C++ (STK)
©1995-2010 Perry R. Cook and Gary P. Scavone. All Rights Reserved.